- Main Page
- Namespaces
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Ipopt::AmplOptionsList::PrivatInfo Class Reference

`#include <AmplTNLP.hpp>`

List of all members.

## Public Member Functions
| PrivatInfo (const std::string ipopt_name, SmartPtr< OptionsList > options, SmartPtr< const Journalist > jnlst, void **nerror=NULL)
const std::string & | IpoptName () const
const SmartPtr< OptionsList > & | Options () const
const SmartPtr< const Journalist > & | Jnlst () const
void ** | NError ()
## Private Attributes
const std::string | ipopt_name_
const SmartPtr< OptionsList > | options_
const SmartPtr< const Journalist > | jnlst_
void ** | nerror_

## Detailed Description

Definition at line 100 of file AmplTNLP.hpp.

## Constructor & Destructor Documentation

Ipopt::AmplOptionsList::PrivatInfo::PrivatInfo | ( | const std::string | ipopt_name,
|  | SmartPtr< OptionsList > | options,
|  | SmartPtr< const Journalist > | jnlst,
|  | void ** | nerror = `NULL` |
| ) |  |  | `[inline]`

Definition at line 103 of file AmplTNLP.hpp.

## Member Function Documentation

const std::string& Ipopt::AmplOptionsList::PrivatInfo::IpoptName | ( |  | ) | const`[inline]`

Definition at line 113 of file AmplTNLP.hpp.

References ipopt_name_.

const SmartPtr<OptionsList>& Ipopt::AmplOptionsList::PrivatInfo::Options | ( |  | ) | const`[inline]`

Definition at line 117 of file AmplTNLP.hpp.

References options_.

const SmartPtr<const Journalist>& Ipopt::AmplOptionsList::PrivatInfo::Jnlst | ( |  | ) | const`[inline]`

Definition at line 121 of file AmplTNLP.hpp.

References jnlst_.

void** Ipopt::AmplOptionsList::PrivatInfo::NError | ( |  | ) | `[inline]`

Definition at line 125 of file AmplTNLP.hpp.

References nerror_.

## Member Data Documentation

const std::string Ipopt::AmplOptionsList::PrivatInfo::ipopt_name_`[private]`

Definition at line 130 of file AmplTNLP.hpp.

Referenced by IpoptName().

const SmartPtr<OptionsList> Ipopt::AmplOptionsList::PrivatInfo::options_`[private]`

Definition at line 131 of file AmplTNLP.hpp.

Referenced by Options().

const SmartPtr<const Journalist> Ipopt::AmplOptionsList::PrivatInfo::jnlst_`[private]`

Definition at line 132 of file AmplTNLP.hpp.

Referenced by Jnlst().

void** Ipopt::AmplOptionsList::PrivatInfo::nerror_`[private]`

Definition at line 133 of file AmplTNLP.hpp.

Referenced by NError().

The documentation for this class was generated from the following file:

- /home/coin/SVN-release/Ipopt-3.2.1/Ipopt/src/Apps/AmplSolver/AmplTNLP.hpp